package de.htwsaar.webshop.repository;

import de.htwsaar.webshop.repository.entities.Image;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.UUID;

@Repository
public interface ImageRepository extends JpaRepository<Image, Long> {

    Image findImageById(Long id);

    List<Image> findImagesByArticle_Uuid(UUID articleUuid);

    Image findImageByArticle_Uuid(UUID articleUuid);
}
